2018-06-23 09:25 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001263FSSCPbeamspublic2007-04-11 19:35
ReporterWanderer 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001263: 'Wrong' sound effect played when beam is fired
DescriptionIf any +Beamsound: has been defined game plays sound with index 124 as well. This is very annoying when it happens with fighterbeams. Basically when the looping beam sound begins the 124 is played once (and stopped) while the defined sound starts to loop.
Additional Informationhttp://www.hard-light.net/forums/index.php/topic,45171

I am not a coder, but weapon.beam.cpp line 2403 as well as gamesnd/gamesnd.h line 575 seem to be causing this. Basically this bug forces all the beam firing sounds to be identical unless sound 124 is removed or silenced in which case normal effects will suffer.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007586

phreak (developer)

I don't think this is a bug since the "shot" sound is basically a transitional sound used to go from warmup to firing


note the comments in the source regarding this:

// "shot" sound
        snd_play_3d(&Snds[SND_BEAM_SHOT], &b->last_start, &View_position); //I'm sorry this thing has always pissed me off -Bobboau
        // GAH - Bobboau, for goodness sake don't delete things flippantly. If you want to change this kind of thing, add
        // command-line behavior like Phreak did for his targeting stuff. The code is not yours to tromp all over like this. -- Goober5000

~0007588

Wanderer (developer)

Well.. looking at weapons.tbl it looks like the sound (SND_BEAM_SHOT) it should use is the one defined in $LaunchSnd: line and not the hardcoded 124. That is weapons.tbl define both sounds 124 and 125 as LaunchSnd: for the beams.

~0007967

taylor (administrator)

Fixed in CVS. It will now use $LaunchSnd: if it's specified and valid, otherwise it will use the default SND_BEAM_SHOT sound.

~0007968

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-02-03 20:03 Wanderer New Issue
2007-02-03 20:35 phreak Note Added: 0007586
2007-02-03 21:11 Wanderer Note Added: 0007588
2007-03-23 18:55 taylor Status new => assigned
2007-03-23 18:55 taylor Assigned To => taylor
2007-04-11 19:35 taylor Note Added: 0007967
2007-04-11 19:35 taylor Status assigned => resolved
2007-04-11 19:35 taylor Fixed in Version => 3.6.10
2007-04-11 19:35 taylor Resolution open => fixed
2007-04-11 19:35 taylor Note Added: 0007968
+Issue History